## r-bioc-annotationdbi 1.64.1

=== DESCRIPTION ===
Package: AnnotationDbi
Title: Manipulation of SQLite-based annotations in Bioconductor
Description: Implements a user-friendly interface for querying SQLite-based annotation data packages.
biocViews: Annotation, Microarray, Sequencing, GenomeAnnotation
URL: https://bioconductor.org/packages/AnnotationDbi
Video: https://www.youtube.com/watch?v=8qvGNTVz3Ik
BugReports: https://github.com/Bioconductor/AnnotationDbi/issues
Version: 1.64.1
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès, Marc Carlson, Seth Falcon, Nianhua Li
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: R (>= 2.7.0), methods, stats4, BiocGenerics (>= 0.29.2),
        Biobase (>= 1.17.0), IRanges
Imports: DBI, RSQLite, S4Vectors (>= 0.9.25), stats, KEGGREST
Suggests: utils, hgu95av2.db, GO.db, org.Sc.sgd.db, org.At.tair.db,
        RUnit, TxDb.Hsapiens.UCSC.hg19.knownGene, org.Hs.eg.db,
        reactome.db, AnnotationForge, graph, EnsDb.Hsapiens.v75,
        BiocStyle, knitr
VignetteBuilder: knitr
Collate: 00RTobjs.R AllGenerics.R AllClasses.R unlist2.R utils.R SQL.R
        FlatBimap.R AnnDbObj-lowAPI.R Bimap.R GOTerms.R
        BimapFormatting.R Bimap-envirAPI.R flatten.R
        methods-AnnotationDb.R methods-SQLiteConnection.R
        methods-geneCentricDbs.R methods-geneCentricDbs-keys.R
        methods-ReactomeDb.R methods-OrthologyDb.R loadDb.R
        createAnnObjs-utils.R createAnnObjs.NCBIORG_DBs.R
        createAnnObjs.NCBICHIP_DBs.R createAnnObjs.ORGANISM_DB.R
        createAnnObjs.YEASTCHIP_DB.R createAnnObjs.COELICOLOR_DB.R
        createAnnObjs.ARABIDOPSISCHIP_DB.R createAnnObjs.MALARIA_DB.R
        createAnnObjs.YEAST_DB.R createAnnObjs.YEASTNCBI_DB.R
        createAnnObjs.ARABIDOPSIS_DB.R createAnnObjs.GO_DB.R
        createAnnObjs.KEGG_DB.R createAnnObjs.PFAM_DB.R
        AnnDbPkg-templates-common.R AnnDbPkg-checker.R
        print.probetable.R makeMap.R inpIDMapper.R
        test_AnnotationDbi_package.R
git_url: https://git.bioconductor.org/packages/AnnotationDbi
git_branch: RELEASE_3_18
git_last_commit: e5b997e
git_last_commit_date: 2023-11-01
Date/Publication: 2023-11-03
NeedsCompilation: no
Packaged: 2023-11-03 19:55:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationdbi (1.64.1-1) unstable; urgency=medium

  * New upstream version
  * Do not patch test requiring org.Hs.eg.db but rather remove test file
    to avoid continuous editing for every new upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 13:58:22 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	# needs org.Hs.eg.db which is not packaged yet
	find $(debRlib) -name test_bimap.R -delete

## r-bioc-annotationdbi 1.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 URL: https://bioconductor.org/packages/AnnotationDbi
 Video: https://www.youtube.com/watch?v=8qvGNTVz3Ik
 BugReports: https://github.com/Bioconductor/AnnotationDbi/issues
-Version: 1.64.1
+Version: 1.66.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès, Marc Carlson, Seth Falcon, Nianhua Li
@@ -35,9 +35,10 @@
         print.probetable.R makeMap.R inpIDMapper.R
         test_AnnotationDbi_package.R
 git_url: https://git.bioconductor.org/packages/AnnotationDbi
-git_branch: RELEASE_3_18
-git_last_commit: e5b997e
-git_last_commit_date: 2023-11-01
-Date/Publication: 2023-11-03
+git_branch: RELEASE_3_19
+git_last_commit: 989c1dc
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-01
 NeedsCompilation: no
-Packaged: 2023-11-03 19:55:59 UTC; biocbuild
+Packaged: 2024-05-01 20:00:57 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationdbi (1.66.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:07:19 +0200

r-bioc-annotationdbi (1.66.0-1~0exp2) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 10:31:55 +0200

r-bioc-annotationdbi (1.66.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: add minimum version to the keggrest build-dep and binary dep
    to also require a bioconductor 3.19+ compatible version.
  * Updated patches now that r-bioc-org.Hs.eg.db is in the archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Jul 2024 14:29:54 +0200

r-bioc-annotationdbi (1.66.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:38:22 +0200

=== debian/control ===
Source: r-bioc-annotationdbi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-iranges (>= 2.38.1),
               r-cran-dbi,
               r-cran-rsqlite,
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-keggrest (>= 1.44.1)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationdbi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationdbi.git
Homepage: https://bioconductor.org/packages/AnnotationDbi/
Rules-Requires-Root: no

Package: r-bioc-annotationdbi
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-keggrest (>= 1.44.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-go.db (>= 3.19.1),
          r-bioc-org.hs.eg.db (>= 3.19.1),
          r-bioc-graph (>= 1.82.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: GNU R Annotation Database Interface for BioConductor
 This BioConductor module provides user interface and database
 connection code for annotation data packages using SQLite data
 storage.

## r-bioc-annotationdbi 1.68.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 URL: https://bioconductor.org/packages/AnnotationDbi
 Video: https://www.youtube.com/watch?v=8qvGNTVz3Ik
 BugReports: https://github.com/Bioconductor/AnnotationDbi/issues
-Version: 1.66.0
+Version: 1.68.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès, Marc Carlson, Seth Falcon, Nianhua Li
@@ -35,10 +35,10 @@
         print.probetable.R makeMap.R inpIDMapper.R
         test_AnnotationDbi_package.R
 git_url: https://git.bioconductor.org/packages/AnnotationDbi
-git_branch: RELEASE_3_19
-git_last_commit: 989c1dc
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-01
+git_branch: RELEASE_3_20
+git_last_commit: 6a2aa33
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 20:00:57 UTC; biocbuild
+Packaged: 2024-10-29 23:26:46 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationdbi (1.68.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 21:35:15 +0100

r-bioc-annotationdbi (1.68.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream relase.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:06:39 +0100

=== debian/control ===
Source: r-bioc-annotationdbi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-biobase,
               r-bioc-iranges,
               r-cran-dbi,
               r-cran-rsqlite,
               r-bioc-s4vectors,
               r-bioc-keggrest
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationdbi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationdbi.git
Homepage: https://bioconductor.org/packages/AnnotationDbi/
Rules-Requires-Root: no

Package: r-bioc-annotationdbi
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Annotation Database Interface for BioConductor
 This BioConductor module provides user interface and database
 connection code for annotation data packages using SQLite data
 storage.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/AnnotationDbi.html .*/AnnotationDbi_([\d\.]+)\.tar\.gz
